**Source URL:** https://limited.veevavault.dev/vault-api/api-reference/23.3/document-roles/remove-users-groups-from-roles-on-a-single-document.md

# Remove Users & Groups from Roles on a Single Document



<Aside>If you need to remove users and groups from roles on more than one document or binder, it is best practice to use the [bulk API](/vault-api/api-reference/23.3/document-roles/remove-users-and-groups-from-roles-on-multiple-documents).</Aside>
Remove users and groups from roles on a single document or binder.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/roles/{role_name_and_user_or_group}/{id}" method="DELETE"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The `id` value of the document or binder from which to remove roles. |
| `{role_name_and_user_or_group}` | The name of the role from which to remove the user or group followed by either `user` or `group`. The format is `{role_name}.{user_or_group}`. For example, `consumer__v.user`. |
| `{id}` | The `id` value of the user or group to remove from the role. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X DELETE -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v23.2/objects/documents/1234/roles/consumer__v.user/1008313

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "responseMessage": "User/group deleted from document role",
  "updatedRoles": {
    "consumer__v": {
      "users": [
        1008313
      ]
    }
  }
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response lists the `id` of the user or group removed from the document role. On FAILURE, the response returns an error message describing the reason for the failure. For example, a user or group may not be removed if the role assignment is system-managed.



---

**Previous:** [Assign Users & Groups to Roles on Multiple Documents](/vault-api/api-reference/23.3/document-roles/assign-users-groups-to-roles-on-multiple-documents)  
**Next:** [Remove Users and Groups from Roles on Multiple Documents](/vault-api/api-reference/23.3/document-roles/remove-users-and-groups-from-roles-on-multiple-documents)